コンテンツへスキップ

City Teleport

統合

モデルID image-apps-v2/city-teleport
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/city-teleport?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット · ≈ ₽4.30 このページで実行

APIキーを取得
Utility · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須
ファイルをドロップ、または

人物を写した写真の URL。

•必須

city_image_url を指定しない場合に使用する都市名。

4K での出力アスペクト比。

詳細設定 city_image_url · photo_shot · camera_angle · enable_safety_checker
ファイルをドロップ、または

人物を合成するカスタム都市シーン。背景画像 URL として任意で指定できます。

photo_shot デフォルト medium_shot

写真の撮影タイプ。

camera_angle デフォルト eye_level

撮影に使用するカメラ視点。

POST /run/image-apps-v2/city-teleport?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/city-teleport?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

City Teleportについて

人物写真(`person_image_url`)と`city_name`が必要です。代わりに`city_image_url`を指定して、人物を独自のシーンに合成することもできます。`photo_shot`には極端なクローズアップから全身まで8種類の構図、`camera_angle`にはローアングルや俯瞰など8種類の選択肢があります。`aspect_ratio`と`enable_safety_checker`も利用できます。

パラメータ

名前型 デフォルト許可される値 説明
person_image_url必須
型url · image
人物を写した写真の URL。
city_image_url任意
型url · image
人物を合成するカスタム都市シーン。背景画像 URL として任意で指定できます。
city_name必須
型string
city_image_url を指定しない場合に使用する都市名。
photo_shot任意
型enum
デフォルトmedium_shot
extreme_close_upclose_upmedium_close_upmedium_shotmedium_long_shotlong_shotextreme_long_shotfull_body
写真の撮影タイプ。
camera_angle任意
型enum
デフォルトeye_level
eye_levellow_anglehigh_angledutch_anglebirds_eye_viewworms_eye_viewoverheadside_angle
撮影に使用するカメラ視点。
aspect_ratio任意
型object
4K での出力アスペクト比。
aspect_ratio.ratio任意
型enum
デフォルト1:1
1:116:99:164:33:4
4K 解像度での出力アスペクト比。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/city-teleport",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "city_name": "Paris"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}人物を都市のシーンへ移動させた画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/image-apps-v2/city-teleport.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt